import java.util.*;
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        ArrayList<Integer> broj_stalaktita = new ArrayList<>();
        System.out.println("Unesi broj stalaktita");
        int broj_za_stalaktite  =sc.nextInt();
        System.out.println("Ovo su duzine stalaktita");
        for(int i = 0 ; i < broj_za_stalaktite ; i++)
        {
            broj_stalaktita.add((int)(Math.random() * 200) + 1);
        }
        System.out.println(broj_stalaktita);
        System.out.println("Unesi visinu programera");
        int visina_programera = sc.nextInt();
        int broj = 0;
        int visina_precine = 300;
        for (int i = 0 ; i < broj_stalaktita.size() ; i++) {
            if(visina_programera + broj_stalaktita.get(i) < visina_precine){
            broj++;}
else {System.out.println(i+1);
    break;
     }
}
        if(broj == 10)
         System.out.println("-1");
    }
}